Eclipse Platform Release 3.7

## org.eclipse.team.core.diff
Interface IDiffVisitor

    public interface IDiffVisitor

An objects that visits diffs in a diff tree.

Usage:

     class Visitor implements IDiffVisitor {
         public boolean visit(IDiffNode diff) {
             switch (diff.getKind()) {
             case IResourceDelta.ADDED :
                 // handle added resource
                 break;
             case IResourceDelta.REMOVED :
                 // handle removed resource
                 break;
             case IResourceDelta.CHANGED :
                 // handle changed resource
                 break;
             }
         return true;
         }
     }
     IDiffTree tree = ...;
     tree.accept(new Visitor());

Clients may implement this interface.

Since:
  3.2
See Also:
  `IDiffTree.accept(org.eclipse.core.runtime.IPath, IDiffVisitor, int)`

Method Summary
`boolean` `visit(IDiff diff)` Visits the given diff.

Method Detail

### visit

    boolean visit(IDiff diff)

  Visits the given diff.

  Parameters:
    `diff` - the diff being visited
  Returns:
    `true` if the diff's children should be visited; `false` if they should be skipped.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.